Skip to content
Basenet
🇳🇱 Nederlands
Esc
↑↓navigate↵open⌘Jpreview

Create a webhook subscription (scope webhooks:admin)

POST/api/v1/webhooks
Authorization
AuthorizationBearer token · headerrequired

Scoped API token (bnx_…). Required scopes are noted per operation.

Request body
application/json
eventTypestringrequired
Allowed:matter.createdrelation.createdhour.createdtask.createdinvoice.sent
urlstring<uri>required
secretstringrequired
min length 16
activeboolean
Responses
201

Created resource

idstringrequired
eventTypestringrequired
Allowed:matter.createdrelation.createdhour.createdtask.createdinvoice.sent
urlstringrequired
activebooleanrequired
createdAtstringrequired
400

Invalid request

errorstringrequired
codestringrequired
rulestring
401

Unauthenticated

errorstringrequired
codestringrequired
rulestring
403

Forbidden (missing scope or permission)

errorstringrequired
codestringrequired
rulestring
429

Rate limited

errorstringrequired
codestringrequired
rulestring
Request
curl -X POST '/api/v1/webhooks' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "eventType": "matter.created",
  "url": "http://example.com",
  "secret": "stringstringstri",
  "active": true
}'
Response
{
  "id": "string",
  "eventType": "matter.created",
  "url": "string",
  "active": true,
  "createdAt": "string"
}